<template>
  <div>
    <div class="back_step sticky">
      <a class="back" href="javascript:;">
        <svg-icon name="arrow-left"></svg-icon>
      </a>
      <h1 class="title_cate">
        <span>So sánh sản phẩm ({{ compares.length }})</span>
      </h1>
    </div>
    <section class="container">
      <ol class="breadcrumb hidden-md">
        <li class="breadcrumb-item" aria-current="page">
          <nuxt-link to="/">
            <svg-icon name="arrow-left"></svg-icon>
            Quay lại danh sách sản phẩm
          </nuxt-link>
        </li>
      </ol>
    </section>
    <ProductDetailCompare v-if="compares.length > 0" />
    <EmptyContent v-else />
  </div>
</template>

<script>
export default {
  name: 'ProductCompareDetail',
  layout: 'nofooter',
  components: {
    ProductDetailCompare: () =>
      import('~/components/Products/Detail/ProductDetailCompare'),
    EmptyContent: () => import('~/components/Elements/EmptyContent'),
  },
  data() {
    return {
      compares: this.$store.state.compares,
    }
  },
  mounted() {},
  head() {
    return {
      title: 'So sánh | Thinkpro - Máy tính nhập khẩu',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: 'so sánh',
        },
        {
          name: 'keywords',
          content: 'thinkpro',
        },
      ],
    }
  },
}
</script>
<style lang="scss" src="~/assets/css/product.scss"></style>
